% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/RcppExports.R
\name{rcpp_viterbi}
\alias{rcpp_viterbi}
\title{Run the Viterbi algorithm on the HMM.}
\usage{
rcpp_viterbi(chromosomeSizes, transitions, emissions, emissionThreshold, starts,
  counts, pvalues, lengths, values, minDepth, minSize, maxSize)
}
\arguments{
\item{chromosomeSizes}{the sizes of the chromosomes}

\item{transitions}{the transition log-probabilities}

\item{emissions}{the emission log-probabilities}

\item{emissionThreshold}{the emission threshold}

\item{starts}{the start log-probabilities}

\item{counts}{the unique counts}

\item{pvalues}{the p-values of the counts}

\item{lengths}{the sizes of the RLEs (one list per chromosome)}

\item{values}{the values of the RLEs (one list per chromosome)}

\item{minDepth}{the minimum read coverage}

\item{minSize}{the minimum size region}

\item{maxSize}{the maximum size region}
}
\value{
a segmentation of the chromosomes
}
\description{
Run the Viterbi algorithm on the HMM.
}
